<?

session_start();
ob_start();
include 'config.php';
function zek($url,$nb,$hd){
$curl=curl_init();
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_USERAGENT, $ua);
curl_setopt($curl, CURLOPT_REFERER, $url);
curl_setopt($curl, CURLOPT_COOKIEFILE, 'cookie.dat');
curl_setopt($curl, CURLOPT_COOKIEJAR, 'cookie.dat');
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if ($nb == true){
curl_setopt($curl, CURLOPT_NOBODY, true);
}
if ($hd == true){
curl_setopt($curl, CURLOPT_HEADER, true);
}
$zek=curl_exec($curl);
curl_close($curl);
return $zek;
}
function check($text){
$text=trim(rtrim($text));
return $text;
}
function tr($text){
$ru=array('А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я', 'а', 'б', 'в', 'г', 'д', 'е', 'ё', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'п', 'р', 'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я', ' ');
$en=array('A', 'B', 'V', 'G', 'D', 'E', 'E', 'J', 'Z', 'I', 'I', 'K', 'L', 'M', 'N', 'O', 'P', 'R', 'S', 'T', 'U', 'F', 'H', 'C', 'CH', 'SH', 'SH', '', 'I', '', 'E', 'YU', 'YA', 'a', 'b', 'v', 'g', 'd', 'e', 'e', 'j', 'z', 'i', 'i', 'k', 'l', 'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'f', 'h', 'c', 'ch', 'sh', 'sh', '', 'i', '', 'e', 'yu', 'ya', '_');
$text=str_replace($ru,$en,$text);
$text=preg_replace('|\#[0-9]+;|i','',$text);
$text=preg_replace('|[^A-z0-9_-]|i','_',$text);
return check($text);
}
function navigator($page,$cnt,$url){
$cnt=intval($cnt);
if (!empty($cnt)){
if (isset($_POST['ok']) && !empty($_POST['url']) && !empty($_POST['page'])){
$pg=intval($_POST['page']);
if ($pg > $cnt){
header('Location: '.trim($_POST['url']).''.$cnt.'/');
}
elseif ($pg < 1){
header('Location: '.trim($_POST['url']).'1/');
}else{
header('Location: '.trim($_POST['url']).''.$pg.'/');
}
}
if ($page-3 > 0){$a='<a href="'.$url.'1/">1</a> ...';}
if ($page-2 > 0){$b='<a href="'.$url.''.($page-2).'/">'.($page-2).'</a>';}
if ($page-1 > 0){$c='<a href="'.$url.''.($page-1).'/">'.($page-1).'</a>';}
if ($page+1 <= $cnt){$d='<a href="'.$url.''.($page+1).'/">'.($page+1).'</a>';}
if ($page+2 <= $cnt){$e='<a href="'.$url.''.($page+2).'/">'.($page+2).'</a>';}
if ($page+3 <= $cnt){$f='... <a href="'.$url.''.$cnt.'/">'.$cnt.'</a>';}
echo '<div class="navigator"><b>Стр:</b> '.$a.' '.$b.' '.$c.' <span style="page">'.$page.'</span> '.$d.' '.$e.' '.$f.'</div>'.($cnt > 3?'<div class="menu"><form method="post"><input type="hidden" name="url" value="'.$url.'">Страница: <input type="text" name="page" value="'.$page.'" size="2"> <input type="submit" name="ok" value="Перейти &raquo;"></form></div>':'');
}
}
$page=intval($_GET['page']);
if (!isset($_GET['page'])) $page=1;
?>